import 'package:flutter/material.dart';
import 'package:fluttertoast/fluttertoast.dart';

class FancyToast {
  static showSuccess({String? message}) {
    Fluttertoast.showToast(
      msg: message ?? "Success",
      gravity: ToastGravity.BOTTOM,
      textColor: Colors.white,
      backgroundColor: Colors.green,
      timeInSecForIosWeb: 1,
      toastLength: Toast.LENGTH_SHORT,
      webShowClose: true,
    );
  }

  static showError({String? message}) {
    Fluttertoast.showToast(
      msg: message ?? "Error",
      gravity: ToastGravity.BOTTOM,
      textColor: Colors.white,
      backgroundColor: Colors.red,
      timeInSecForIosWeb: 1,
      toastLength: Toast.LENGTH_SHORT,
      webShowClose: true,
    );
  }

  static showInfo({String? message}) {
    Fluttertoast.showToast(
      msg: message ?? "Info",
      gravity: ToastGravity.BOTTOM,
      textColor: Colors.white,
      backgroundColor: Colors.blue,
      timeInSecForIosWeb: 1,
      toastLength: Toast.LENGTH_SHORT,
      webShowClose: true,
    );
  }

  static showCustomToast({
    String? message,
    ToastGravity? gravity,
    Color? textColor,
    Color? backgroundColor,
    Toast? toastLength,
  }) {
    Fluttertoast.showToast(
      msg: message ?? "Info",
      gravity: gravity ?? ToastGravity.BOTTOM,
      textColor: textColor ?? Colors.white,
      backgroundColor: backgroundColor ?? Colors.blue,
      timeInSecForIosWeb: 1,
      toastLength: toastLength ?? Toast.LENGTH_SHORT,
      webShowClose: true,
    );
  }
}
